#include "locmin.h"
#include <iostream>
#include <climits>
#include <algorithm>
using namespace std;

#define MAXM 500

int ind[MAXM+1];

pair<int,int> find_locmin_point(int N,int M){
  int l,c,bestl,bestc;
  long long minval=LLONG_MAX;

  for(c=1;c<=M;c++){
    ind[c]=c;
  }

  nth_element(ind+1,ind+M+1,ind+1,[](int a,int b){
    return value(1,a)<value(1,b);
  });

  return {1,ind[1]};
}
